Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category:

Target version: 2.0.0-alpha6

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2045 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Add-ons manager (org.gvsig.installer.app.extension)

Description

| found that Addon Manager creates an undetermined background process which never ends.

To reproduce issuer follow this steps:

1. Open Addon Manager

2. Select url option

3. Select Development project wizard
4. Press Next

5. Press start donwload

After download finished a Downloading... process appears on status bar. This process still there after all installation process finished
and Addon Manager is closed.

History

#1 - 05/10/2012 08:07 PM - Manuel Madrid

- Target version set to 2.0.0-rc1

#2 - 05/30/2012 02:27 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2050

#3 - 06/18/2012 04:32 PM - Joaquin del Cerro Murciano

- Assignee set to Juan Lucas Dominguez

- Target version changed from 2.0.0-devel-2050 to 2.0.0-alpha6
#4 - 06/19/2012 01:29 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

gvsig-desktop:r38431

Bad management of constructors caused creation of uncontrolled thread. Also some changes in connection stream read loop.

#5 - 06/19/2012 03:58 PM - Juan Lucas Dominguez
Bad management of constructors caused creation of uncontrolled progress bar embedded in status bar (not a thread).

#6 - 07/12/2012 10:03 AM - Maria Maluenda
- Status changed from Fixed to Under review

| tested this ticket:

1.- Open Addon Manager in gvSIG build 2049 (Linux)

2.- Select URL option with http://downloads.gvsig.org/download/gvsig-desktop
3.- Click Next

4.- Select plugin Development project wizard

5.- Select start Download
The progress bar not advance, the plugin does not download.

#7 - 08/23/2012 01:54 PM - Juan Lucas Dominguez

- Status changed from Under review to New

#8 - 08/23/2012 01:56 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

| think this bug is already fixed.
You can test it with 2051 (for example the scripting plugin in the category Development)

#9 - 10/16/2012 12:28 PM - Maria Maluenda
- Status changed from Fixed to Closed

Closed with the gvSIG build 2056. The scripting plugin does not exist in the category Development.
